// Arquivo de exemplo: EnumerateDirectories.cs
// Para compilar utilize: csc EnumerateDirectories.cs
using System;
using System.Collections;
using System.IO;

class Programa {
	public static void Main() 
	{
		try
            	{
                	IEnumerable Ie = Directory.EnumerateDirectories(@"C:\Livro");
                
                	foreach (var dir in Ie)
                	{
                    		Console.WriteLine(dir);
                	}   
			Console.Read();             
            	}
            	catch (UnauthorizedAccessException)
            	{
                	Console.WriteLine("Acesso não autorizado.");
            	}
            	catch (PathTooLongException)
            	{
            	    	Console.WriteLine("Diretório excedeu o tamanho limite.");
            	}	
	}
}
